Subject: Re: bug#52461: spontaneous crash with portable dumper

From: YAMAMOTO Mitsuharu <[email-masked]>
Date: Mon, 13 Dec 2021 10:44:04 +0900

On Mon, 13 Dec 2021 10:38:28 +0900,
YAMAMOTO Mitsuharu wrote:
> 
> Because cs_i >= charset_table_used, charset_table[cs_i] (i.e., *cs)
> contains uninitialized contents.  So writing to the area that
> cs->code_space_mask points to can cause crash or memory corruption.

Sorry, cs->code_space_mask was not the destination address but the
source address.  So it does not cause memory corruption, but still
crash can happen.

				     YAMAMOTO Mitsuharu
				[email-masked]